Imports System.Web.Http

<Assembly: WebActivator.PreApplicationStartMethod(GetType(April2014SampleWebForms.App_Start.BreezeWebApiConfig), "RegisterBreezePreStart")>
Namespace April2014SampleWebForms.App_Start
  '''<summary>
  ''' Inserts the Breeze Web API controller route at the front of all Web API routes
  '''</summary>
  '''<remarks>
  ''' This class is discovered and run during startup; see
  ''' http://blogs.msdn.com/b/davidebb/archive/2010/10/11/light-up-your-nupacks-with-startup-code-and-webactivator.aspx
  '''</remarks>
  Public NotInheritable Class BreezeWebApiConfig
	Public Shared Sub RegisterBreezePreStart()
	  GlobalConfiguration.Configuration.Routes.MapHttpRoute(name:= "BreezeApi", routeTemplate:= "breeze/{controller}/{action}")
	End Sub
  End Class
End Namespace
