﻿'INSTANT VB NOTE: This code snippet uses implicit typing. You will need to set 'Option Infer On' in the VB file or set 'Option Infer' at the project level.


<%@ Page Language="vb" AutoEventWireup="true" CodeBehind="FunStuffForm.aspx.vb" Inherits="April2014SampleWebForms.FunStuffForm" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<link href="Site.css" rel="stylesheet" type="text/css" />
	<link href="Site.css" rel="stylesheet" type="text/css" />
	<script src="Scripts/knockout-3.0.0.js"></script>
	<script src="Scripts/q.js"></script>

	<script src="Scripts/jquery-2.0.3.min.js"></script>
	<script src="Scripts/breeze.min.js"></script>
	<script src="Scripts/app/FunStuffScripts.js"></script><%--be sure this is after knockout & breeze--%>
	<style type="text/css">
		#form1 {
			font-size: large;
		}
		.auto-style1 {
			width: 384px;
		}
	</style>
	<script type="text/javascript" charset="utf-8">
		var validationResult;
		$(document).ready(function() {
			$("#btnSave").click(function(event) {
				validationResult = viewModel.validate();
				if (validationResult == false) {
					alert("validation failed");
					event.preventDefault();
				} else {
					viewModel.save();
				}
			});
			$("#checkBoxes").click(function(event) {
				var id = $(event.target)[0].value;
				var name = $(event.target)[0].parentElement.textContent;
				//alert('check!' + 'id:' + id + ' text:' + name);
				viewModel.updateCommentsList(id, name);

			});
		});


	</script>
</head>
<body>
	<form id="form1" runat="server">
	<table style="height: 33px">
			<tr>
				<td>User: </td>
				<td> 
		<asp:DropDownList ID="lstUsers" runat="server" AutoPostBack="True" Height="33px" style="font-size: large" Width="311px" OnSelectedIndexChanged="lstUsers_SelectedIndexChanged">
		</asp:DropDownList>
				</td>
			</tr>
		</table>
			   <br />
		<br />
		Fun Stuff List<br />

		<table>
			<tr>
				<td id="checkBoxes">
					<asp:CheckBoxList ID="chkListStuff" runat="server" Width="275px">
					</asp:CheckBoxList>
				</td>
				<td class="auto-style1">
					<table id="comments" style="border-style:solid;border-color:crimson; width: 379px;"> 
						<thead>
							<tr>
								<th></th>
								<th></th>
								<th>Fun Stuff</th>
								<th>Comment</th>
							</tr>
						</thead>
						<tbody data-bind="foreach: comments">
							<tr>
								<td style="visibility: hidden" data-bind="text: UserId"></td>
								<td style="visibility: hidden" data-bind="text: FunStuffId"></td>
								<td data-bind="text: FunStuffName"></td>
								<td>
									<input data-bind="value: Comment" /></td>
							</tr>
						</tbody>
					</table>
				</td>
			</tr>
		</table>
		<p>
			&nbsp;
		</p>
		<asp:Button ID="btnSave" runat="server" OnClick="btnSave_Click" Text="Save That Stuff!" />
		<asp:HiddenField ID="hiddenId" runat="server" />
		<h2>Log:</h2>
		<ol id="log" type="1"></ol>
	</form>
</body>
</html>