Imports System.ComponentModel.DataAnnotations.Schema

Namespace DomainTypes
	Public Class User
		Private _funStuffList As List(Of Integer)

		Public Property Id As Integer

		Public Property FirstName As String

		Public Property LastName As String
		<NotMapped>
		Public ReadOnly Property FullName As String
			Get
				Return FirstName.Trim & " " & LastName
			End Get
		End Property

		Public Function GetFunStuffList() As List(Of Integer)
		 If _funStuffList IsNot Nothing Then
			 Return _funStuffList
		 End If
				Dim list = FunStuffConcatenated.Split( {"|"c})
				_funStuffList = New List(Of Integer)
				For Each s As String In list
					_funStuffList.Add(Integer.Parse(s))
				Next s
				Return _funStuffList
		End Function

		Private privateFunStuffConcatenated As String
		Public Property FunStuffConcatenated As String
			Get
				Return privateFunStuffConcatenated
			End Get
			Private Set(ByVal value As String)
				privateFunStuffConcatenated = value
			End Set
		End Property

		Public Sub ConcantenateFunStuff()
			FunStuffConcatenated = String.Join("|", _funStuffList)
		End Sub

		Public Sub PopulateFunStuffList(ByVal intList As IList(Of Integer))
			_funStuffList = New List(Of Integer)
		   If intList IsNot Nothing Then
			_funStuffList.AddRange(intList)
		   End If
		End Sub
	End Class

	Public Class FunStuff
		Public Property Id As Integer

		Public Property Description As String
	End Class
End Namespace
